• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • iLibertyX - Premier iPhone/iTouch Jailbreaking, Unlocking, Activation for OS X
    We are happy to introduce the newest and shiniest OSX software for releasing iPhone or iPod Touch into your control. What is is called? iLibertyX. It is the culmination of the great work put into iLiberty and iPlus to bring you the best in modding.



    Guide | Download | theiphoneproject | Download from theiphoneproject

    iLibertyX does it all, jailbreaks, activates and unlocks firmware up to 1.1.4 for all bootloader versions of the iPhone and easily jailbreaks your iPod Touch. Another cool feature available is the packages console. With this you can easily install pre made third party payloads onto your iPhone / iPod Touch like dropbear ssh and a payload to reflash the wifi / edge / bluetooth. iLibertyX will even upgrade the bootloader on 3.9 b/l phones if you so desire (note the bootloader upgrade does not work on ziphone unlocked phones). Oh and you can't help but love the great looking GUI .



    A full usage guide can be found here.

    Windows version here.

    Big credit goes out to francis, pepijn, George Zhu, AViegas, cmw, w__, Baalbeck, bgm, cRAKn, GeoHot, MuscleNerd, pumpkin, SoLoR, sunny, tjcarter, and the iPhoneDev Team.
    This article was originally published in forum thread: iLibertyX - Premier iPhone/iTouch Jailbreaking, Unlocking, Activation for OS X started by Cody Overcash View original post
    Comments 92 Comments
    1. abukadi's Avatar
      abukadi -
      Put your 1.1.2 into DFU and restore to 1.1.4. Then use iLibertyX.
      My phone is 1.1.3 OTB, the thing is I don't want to restore to 1.1.4 I know it works. I need my phone to be on 1.1.2 cuz I want to use this FW not 1.1.4. any help with that?
    1. steve_k's Avatar
      steve_k -
      will this work on a 4GB iphone? also does anyone know if the edge/wifi/bluetooth flash will fix a grayed out wifi? Just kinda getting a idea before i try it on my grayed out iphone.
    1. Poseidon79's Avatar
      Poseidon79 -
      It works on ANY version of the iphone, 4,8,16GB. If you're wi-fi is messed up give this a shot... what's the worst that can happen? Stilled grey out.. haha. Good luck.
    1. exg5's Avatar
      exg5 -
      iLibertyX will even upgrade the bootloader on 3.9 b/l phones if you so desire (note the bootloader upgrade does not work on ziphone unlocked phones)
      If we've already jailbroken and unlocked using ZiPhone, can we restore using iTunes and the have the ability to upgrade our bootloaders?
    1. Poseidon79's Avatar
      Poseidon79 -
      Any phone that has been unlocked with ziphone and has downgraded the bootloader is PERMANENT!! unless you disassemble the phone and do a hardware flash. BUT... why would you want to upgrade your bootloader... this would limit you to the 4.02 baseband and your "locate me" feature would cease to be functional.

      I seriously do not understand why people have this obsession with getting back to the 4.6BL... there NO ADVANTAGE!! Downgrading the BL whether it be to 3.9 or 3.9FB is the ONLY way to unlock basebands 4.03 & 4.04 at the moment.
    1. exg5's Avatar
      exg5 -
      Quote Originally Posted by Poseidon79 View Post
      Any phone that has been unlocked with ziphone and has downgraded the bootloader is PERMANENT!! unless you disassemble the phone and do a hardware flash. BUT... why would you want to upgrade your bootloader... this would limit you to the 4.02 baseband and your "locate me" feature would cease to be functional.

      I seriously do not understand why people have this obsession with getting back to the 4.6BL... there NO ADVANTAGE!! Downgrading the BL whether it be to 3.9 or 3.9FB is the ONLY way to unlock basebands 4.03 & 4.04 at the moment.
      Yes, at the moment... but what happens when they have a new bootloader and they do manage to find a way to crack it... then I'm screwed and won't get that added functionality.
    1. Poseidon79's Avatar
      Poseidon79 -
      The functionality comes from the BASEBAND (modem firmware)! not the bootloader.
    1. exg5's Avatar
      exg5 -
      oh ya right... then what does the bootloader do again? (sorry I don't fully understand how these components work)
    1. Poseidon79's Avatar
      Poseidon79 -
      Sorry if I was a bit harsh... I'm battling major allergies and it's putting me in a crappy mood. As far as what the bootloader ACTUALLY does... I will leave it up to someone more educated about it to give you an expert explanation :-)
    1. exg5's Avatar
      exg5 -
      no problem, thanks for the help... allergies are driving me crazy too (I assume its pollen for you to?)
    1. marcoiac's Avatar
      marcoiac -
      Quote Originally Posted by exg5 View Post
      oh ya right... then what does the bootloader do again? (sorry I don't fully understand how these components work)
      The bootloader gets things started, and in the right order. Starts a processor and then the main program associated with it. It's essential (if it does not work, your phone won't work), but at the same time does not do anything relevant to the functions of your device (which are implemented by your programs). So, it does not really matter which one you have, as long as it works.

      Somebody has made the analogy that 3.9 is like a liberal mom (because it lets you do whatever you want) and 4.6 is a strict mom. Which one would you rather have?

      If you want to know more about this stuff I suggest:

      http://george.zjlotto.com/index.php/...-a-bootloader/

      and

      http://www.hackint0sh.org/forum/showthread.php?t=32604

      Hope this helps
    1. exg5's Avatar
      exg5 -
      Quote Originally Posted by marcoiac View Post
      The bootloader gets things started, and in the right order. Starts a processor and then the main program associated with it. It's essential (if it does not work, your phone won't work), but at the same time does not do anything relevant to the functions of your device (which are implemented by your programs). So, it does not really matter which one you have, as long as it works.

      Somebody has made the analogy that 3.9 is like a liberal mom (because it lets you do whatever you want) and 4.6 is a strict mom. Which one would you rather have?

      If you want to know more about this stuff I suggest:

      http://george.zjlotto.com/index.php/...-a-bootloader/

      and

      http://www.hackint0sh.org/forum/showthread.php?t=32604

      Hope this helps
      wow thanks, much appreciated
    1. abukadi's Avatar
      abukadi -
      anyone report working with 1.1.2 or 1.1.3 OTB ?
    1. Poseidon79's Avatar
      Poseidon79 -
      Quote Originally Posted by abukadi View Post
      anyone report working with 1.1.2 or 1.1.3 OTB ?
      This program will will on any iPhone on any firmware no mater what version OTB or upgraded to.
    1. Learners's Avatar
      Learners -
      i would like to know i iLibertyX is better than ZiPhone ?or do they do the same thing?
    1. Poseidon79's Avatar
      Poseidon79 -
      I would say iLiberty has more features integrated into it but as far as end result and ease of use they are equal. The goal for most people is to jailbreak, unlock and activate and they both do an amazing job.
    1. abukadi's Avatar
      abukadi -
      This program will will on any iPhone on any firmware no mater what version OTB or upgraded to.
      Digg
      I am afraid to tell u NO, cuz I have tried it on 1.1.2 OTB but it's stuck on the jailbreak and never go further, I needed to restore again.
    1. allthingsea's Avatar
      allthingsea -
      does jailbreaking downgrade your bootloader?
    1. abukadi's Avatar
      abukadi -
      I can't jailbreak using iLibertyX I used the old method then I downgraded my bootloader to 3.9FB , so I can have jailbroken/activated but LOCKED iPhone with bootloader 3.9FB and baseband 04.04.05

      but when I attempt to use iLibrety is just eep the test writing on my iphone screen for long time until i get my iphone back to recovery and restore.

      so what I want is to unlock 1.1.2 jailbroken/activated BL 3.9FB with 04.04.05 baseband method.
    1. jatindian's Avatar
      jatindian -
      So a long time ago, when I first bought my 1.0.2 iphone, I went through the long and tedious task of jailbraiking/unlocking using independence and I think Anysim. It seems like we've come a really long way since then. What took me half a day takes minutes now. Okay so enough emotional crap.. here is my issue:
      I have been continuously upgrading my phone, and somewhere way back (aside from issues with YouTube, etc, which all resolved) I had a problem with my Ringer. My phone rings if my headphones are in. It rings when I set an alarm. BUT IT WILL NOT RING UNDER NORMAL CONDITIONS. It's not my ringer settings, because I've changed them every which way and I can't get anything. I'm assuming it's a software error somewhere (I've had to do so much to my phone to keep it going through all these changes- For example, installing Terminal and trying to delete my Media file.. not working so ultimately found Finder and got the damn file name changed so my 300MB phone would become 8GB again.)

      So now I'm at 1.1.3, and ready to upgrade again. But before I do, I need to ask this question because everytime I upgrade, I get all excited thinking my phone will ring, but it never does.

      Is there ANY way to completely downgrade so my phone is exactly how it was when it came out of the box?? I'm thinking maybe if I go back to 1.0.2 I can get it ringing again. I don't understand this bootloading stuff and I'm not a complete genius like PF and you others. Can anyone help me? Please let me know!!

      Thanks a million